library ieee;
use ieee.std_logic_1164.all;

package trashernet_types is
	subtype byte is std_logic_vector(7 downto 0);
	type byte_vector is array (natural range <>) of byte;
	subtype mac_addr_t is byte_vector(0 to 5);
	subtype ip_addr_t is byte_vector(0 to 3);
	subtype ethertype_t is byte_vector(0 to 1);
end package trashernet_types;

package body trashernet_types is

end package body trashernet_types;
